---
title: "POST Handle Query"
description: "Handles a query to the EmbedChain app. Expects a JSON with a \"question\" key."
last_updated: "2026-05-07T04:47:25.388738+00:00"
canonical_url: "https://www.doc0.dev/docs/faa36707-7c28-4f69-a18f-700ff61c704e/api/endpoints/handle-query-query-post"
---

<APIEndpoint
  method={"POST"}
  path={"/query"}
  summary={"Handle Query"}
  description={"Handles a query to the EmbedChain app. Expects a JSON with a \"question\" key."}
  deprecated={false}
  baseUrl={""}
/>

## Request Body

The question to query.

<APIRequestBody
  contentType={"application/json"}
  required={true}
  schema={{"type":"object","properties":{}}}
/>

## Responses

<APIResponse
  statusCode={"200"}
  description={"Successful Response"}
  contentType={"application/json"}
  schema={{"type":"object","properties":{}}}
/>

## Try It

<APIPlayground
  method={"POST"}
  path={"/query"}
  parameters={[]}
  requestBody={{"contentType":"application/json","required":true,"description":"The question to query.","schema":{"type":"object","properties":{}}}}
  baseUrl={""}
/>


## Sitemap

See the full [sitemap](https://www.doc0.dev/docs/faa36707-7c28-4f69-a18f-700ff61c704e/llms.txt) for all pages in this wiki.
